#!/bin/sh

current_time=$(date +"%Y-%m-%d_%H-%M-%S")

# 编译 sdk
hvigorw clean --mode module -p module=sdk
hvigorw assembleHar --mode module -p module=sdk -p buildMode=release
echo "assembleHar finish"

# 复制 sdk 编译产物到 bin 目录
echo "needCopyFile"
svn_commit_id=$(git rev-parse --short HEAD)
folder_path="bin/$current_time"
if [ ! -d "$folder_path" ]; then
    # 如果不存在，则创建文件夹
    mkdir -p "$folder_path"
fi
cp sdk/build/default/outputs/default/sdk.har "$folder_path/QQOpenSdk_$svn_commit_id.har"
cp -R sdk/build/default/outputs/default/mapping "$folder_path/mapping"

# 复制 sdk har 到 entry 模块
cp sdk/build/default/outputs/default/sdk.har entry/src/libs/QQOpenSdk.har

 编译 demo
hvigorw clean --mode module -p module=entry
hvigorw assembleHap buildMode=release

# 计算字符串的MD5哈希值
md5_hash=$(echo "$current_time" | md5)
echo "$md5_hash"
hdc shell aa force-stop com.tencent.sample
hdc shell mkdir data/local/tmp/$md5_hash
hdc file send entry/build/default/outputs/default/entry-default-signed.hap "data/local/tmp/$md5_hash"
hdc shell bm install -p data/local/tmp/$md5_hash
hdc shell rm -rf data/local/tmp/$md5_hash
hdc shell aa start -a EntryAbility -b com.tencent.sample

echo "complete"

